Subject: Re: [Bitcoin-development] BIP - Hash Locked Transaction

From: Alex Mizrahi <[email-masked]>
Date: Fri, 25 Apr 2014 23:06:37 +0300

It is also useful for betting: an oracle will associate a hash with each
possible outcome, and when outcome is know, it will reveal a corresponding
preimage which will unlock the transaction.

This approach has several advantages over approach with multi-sig script:
1. oracle doesn't need to be involved in each specific transaction
2. resolution is same for everyone who makes a bet on a specific event
outcome
3. no need for two-way communication
4. no need for a special protocol: oracle might publish unlocking preimage
on a web page, and participants will manually enter it into their clients